org.apache.lucene.benchmark.byTask.feeds

## Class LineDocMaker

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.feeds.DocMaker
  - - org.apache.lucene.benchmark.byTask.feeds.LineDocMaker

- Deprecated.
  Please use `DocMaker` instead, with content.source=LineDocSource

      public class LineDocMaker
      extends DocMaker

  A DocMaker reading one line at a time as a Document from a single file. This saves IO cost (over DirContentSource) of recursing through a directory and opening a new file for every document. It also re-uses its Document and Field instance to improve indexing speed.
  The expected format of each line is (arguments are separated by <TAB>): title, date, body. If a line is read in a different format, a `RuntimeException` will be thrown. In general, you should use this doc maker with files that were created with `WriteLineDocTask`.
  Config properties:
  - doc.random.id.limit=N (default -1) -- create random docid in the range 0..N; this is useful with UpdateDoc to test updating random documents; if this is unspecified or -1, then docid is sequentially assigned

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.DocMaker

      `BODY_FIELD, bodyIndexVal, BYTES_FIELD, config, DATE_FIELD, ID_FIELD, indexProperties, indexVal, NAME_FIELD, reuseFields, source, storeVal, termVecVal, TITLE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineDocMaker()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setConfig(Config config)` Deprecated. Set the configuration parameters of this doc maker.

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.DocMaker

      `close, getBytesCount, getDocState, getTotalBytesCount, incrNumDocsCreated, makeDocument, makeDocument, printDocStatistics, resetInputs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineDocMaker

          public LineDocMaker()

      Deprecated.

  - ### Method Detail

    - #### setConfig

          public void setConfig(Config config)

      Deprecated.
      Description copied from class: `DocMaker`
      Set the configuration parameters of this doc maker.
      Overrides:
        `setConfig` in class `DocMaker`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.